Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told to use lucid

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 15:32:17 -0700

Markus Triska <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Thanks.  Does it work as you expect if you use --without-ns as well?
>
> No: When I add --without-ns, I now get an error (it used to work with
> the earlier Emacs version that I used to file the original issue).
>
> Specifically, the script output ends with:
>
>     configure: error: You seem to be running X, but no X development libraries
>     were found.  You should install the relevant development files for X
>     and for the toolkit you want, such as Gtk+.  Also make
>     sure you have development files for image handling, i.e.
>     tiff, gif, jpeg, png and xpm.
>     If you are sure you want Emacs compiled without X window support, pass
>       --without-x
>     to configure.

I am not very familiar with X builds on macOS, but I assume that you
have those headers installed?  Why can't configure find them?

I copied in Alan Third, our macOS expert.  (I see that he replied
separately earlier in the thread.)